Subject: bug#21780: closed (Re: bug#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Oct 2015 17:42:02 +0000

Your bug report

#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21780: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21780
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Oct 2015 19:41:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 28 Oct 2015 18:50:49 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> emacs -Q
> M-x load-library isearch.el
> C-h f isearch-forward
> In buffer *Help*: C-x C-w foo.txt
> 
> You get a coding-system warning.  I tried saving it as utf-8 and as raw
> text.
> 
> In both cases, when I open that file in a new Emacs session, I see octal
> escapes where there were curly quotes.

Thanks, I fixed the first part of this: Emacs should no longer ask
annoying questions when you save help buffers with curved quotes.

The second part, which happens when visiting the saved file, is not a
bug: you need to specify the encoding of files when visiting them in
locales whose default encoding is different.  (Actually, I expect this
to work automatically for you, at least in "emacs -Q", but that
doesn't happen in every locale.)

Subject: 25.0.50; Saving *Help* results in bad encoding because of curly quotes
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Wed, 28 Oct 2015 18:50:49 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
M-x load-library isearch.el
C-h f isearch-forward
In buffer *Help*: C-x C-w foo.txt

You get a coding-system warning.  I tried saving it as utf-8 and as raw
text.

In both cases, when I open that file in a new Emacs session, I see octal
escapes where there were curly quotes.

Why were there curly quotes?  Because `C-h f' produces curly quotes.

This is a regression - no such problem exists with Emacs 24.5 (or prior).

In order to produce a reasonable, readable file from the *Help* buffer
that I attached to the following mail message to [email-masked],
I had to resort to using Emacs 24.5:

 "RE: Exposing Isearch toggleable options", 2015-10-28, ~21:20

(BTW, it is apparently *not* the case, in spite of what is stated at
http://lists.gnu.org/archive/html/emacs-devel/2015-10/index.html, that
the mailing list archive is updated every 30 minutes.  Far from it,
it seems.  That's why I didn't provide a URL to the emacs-devel post.
Got tired after 1/2 hour of waiting for it to show up.)

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2015-10-09
Bzr revision: af45926d66d303fdc4c2c3ebbc820b4a54d9e4a0
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --host=i686-pc-mingw32 --enable-checking=yes,glyphs'